function loadDisplay()
local Group_Table = {
    ["backdropColor"] = {
        [1] = 1,
        [2] = 1,
        [3] = 1,
        [4] = 0.5,
    },
    ["controlledChildren"] = {
        [1] = "WarucksTotalSilence_Kick",
        [2] = "WarucksTotalSilence_Info",
        [3] = "WarucksTotalSilence_Timer",
    },
    ["borderBackdrop"] = "Blizzard Tooltip",
    ["disjunctive"] = "all",
    ["border"] = false,
    ["untrigger"] = {
    },
    ["regionType"] = "group",
    ["borderSize"] = 16,
    ["activeTriggerMode"] = -10,
    ["actions"] = {
        ["start"] = {
        },
        ["init"] = {
        },
        ["finish"] = {
        },
    },
    ["borderOffset"] = 5,
    ["xOffset"] = 0,
    ["selfPoint"] = "BOTTOMLEFT",
    ["id"] = "WarucksTotalSilence",
    ["animation"] = {
        ["start"] = {
            ["type"] = "none",
            ["duration_type"] = "seconds",
        },
        ["main"] = {
            ["type"] = "none",
            ["duration_type"] = "seconds",
        },
        ["finish"] = {
            ["type"] = "none",
            ["duration_type"] = "seconds",
        },
    },
    ["frameStrata"] = 1,
    ["anchorPoint"] = "CENTER",
    ["trigger"] = {
        ["type"] = "aura",
        ["spellIds"] = {
        },
        ["unit"] = "player",
        ["debuffType"] = "HELPFUL",
        ["names"] = {
        },
    },
    ["borderInset"] = 11,
    ["numTriggers"] = 1,
    ["yOffset"] = 0,
    ["borderColor"] = {
        [1] = 1,
        [2] = 1,
        [3] = 1,
        [4] = 0.5,
    },
    ["borderEdge"] = "None",
    ["load"] = {
        ["talent"] = {
            ["multi"] = {
            },
        },
        ["spec"] = {
            ["multi"] = {
            },
        },
        ["difficulty"] = {
            ["multi"] = {
            },
        },
        ["race"] = {
            ["multi"] = {
            },
        },
        ["use_class"] = false,
        ["pvptalent"] = {
            ["multi"] = {
            },
        },
        ["faction"] = {
            ["multi"] = {
            },
        },
        ["class"] = {
        },
        ["role"] = {
            ["multi"] = {
            },
        },
        ["size"] = {
            ["multi"] = {
            },
        },
    },
    ["expanded"] = true,
}

local Kick_Table = {
    ["color"] = {
        [1] = 1,
        [2] = 1,
        [3] = 1,
        [4] = 1,
    },
    ["untrigger"] = {
        ["custom"] = "function(...)\n    if TotalSilenceGlobalFunctions then\n        return not (TotalSilenceGlobalFunctions.getPlayerIsNext())\n    end\n    \n    return true\nend\n\n\n\n\n\n\n\n\n",
    },
    ["anchorPoint"] = "CENTER",
    ["activeTriggerMode"] = -10,
    ["customTextUpdate"] = "update",
    ["icon"] = true,
    ["fontFlags"] = "OUTLINE",
    ["selfPoint"] = "CENTER",
    ["trigger"] = {
        ["type"] = "custom",
        ["subeventSuffix"] = "_CAST_START",
        ["event"] = "Health",
        ["unit"] = "player",
        ["spellIds"] = {
        },
        ["custom"] = "function(...)\n    if TotalSilenceGlobalFunctions then\n        return TotalSilenceGlobalFunctions.getPlayerIsNext()\n    end\n    \n    return false\nend\n\n\n\n\n\n\n\n",
        ["names"] = {
        },
        ["check"] = "update",
        ["subeventPrefix"] = "SPELL",
        ["custom_type"] = "status",
        ["debuffType"] = "HELPFUL",
    },
    ["desaturate"] = false,
    ["font"] = "Friz Quadrata TT",
    ["height"] = 64,
    ["load"] = {
        ["use_never"] = false,
        ["talent"] = {
            ["multi"] = {
            },
        },
        ["spec"] = {
            ["multi"] = {
            },
        },
        ["difficulty"] = {
            ["multi"] = {
            },
        },
        ["race"] = {
            ["multi"] = {
            },
        },
        ["class"] = {
            ["multi"] = {
            },
        },
        ["pvptalent"] = {
            ["multi"] = {
            },
        },
        ["faction"] = {
            ["multi"] = {
            },
        },
        ["use_combat"] = true,
        ["role"] = {
            ["multi"] = {
            },
        },
        ["size"] = {
            ["multi"] = {
            },
        },
    },
    ["fontSize"] = 12,
    ["displayStacks"] = "%s",
    ["regionType"] = "icon",
    ["parent"] = "WarucksTotalSilence",
    ["stickyDuration"] = false,
    ["actions"] = {
        ["start"] = {
        },
        ["init"] = {
        },
        ["finish"] = {
        },
    },
    ["stacksContainment"] = "INSIDE",
    ["zoom"] = 0,
    ["auto"] = true,
    ["id"] = "WarucksTotalSilence_Kick",
    ["additional_triggers"] = {
    },
    ["yOffset"] = 0,
    ["frameStrata"] = 1,
    ["width"] = 64,
    ["numTriggers"] = 1,
    ["animation"] = {
        ["start"] = {
            ["type"] = "none",
            ["duration_type"] = "seconds",
        },
        ["main"] = {
            ["type"] = "none",
            ["duration_type"] = "seconds",
        },
        ["finish"] = {
            ["type"] = "none",
            ["duration_type"] = "seconds",
        },
    },
    ["inverse"] = false,
    ["disjunctive"] = "all",
    ["xOffset"] = 0,
    ["displayIcon"] = 132219,
    ["stacksPoint"] = "BOTTOMRIGHT",
    ["textColor"] = {
        [1] = 1,
        [2] = 1,
        [3] = 1,
        [4] = 1,
    },
}

local Info_Table = {
    ["outline"] = "OUTLINE",
    ["fontSize"] = 25,
    ["disjunctive"] = "all",
    ["displayText"] = "%c",
    ["customText"] = "function(...)\n    if TotalSilenceGlobalFunctions then\n        \n        a,b = TotalSilenceGlobalFunctions.getNumberClients()\n        return b..\"/\"..a\n    end\n    return \"0\"\nend\n\n\n\n\n\n",
    ["yOffset"] = -16,
    ["regionType"] = "text",
    ["activeTriggerMode"] = -10,
    ["customTextUpdate"] = "update",
    ["init_completed"] = 1,
    ["actions"] = {
        ["start"] = {
        },
        ["finish"] = {
        },
        ["init"] = {
        },
    },
    ["parent"] = "WarucksTotalSilence",
    ["animation"] = {
        ["start"] = {
            ["duration_type"] = "seconds",
            ["type"] = "none",
        },
        ["main"] = {
            ["duration_type"] = "seconds",
            ["type"] = "none",
        },
        ["finish"] = {
            ["duration_type"] = "seconds",
            ["type"] = "none",
        },
    },
    ["justify"] = "LEFT",
    ["selfPoint"] = "BOTTOM",
    ["id"] = "WarucksTotalSilence_Info",
    ["trigger"] = {
        ["type"] = "status",
        ["use_health"] = true,
        ["subeventSuffix"] = "_CAST_START",
        ["event"] = "Health",
        ["subeventPrefix"] = "SPELL",
        ["health_operator"] = ">=",
        ["names"] = {
        },
        ["spellIds"] = {
        },
        ["unit"] = "player",
        ["unevent"] = "auto",
        ["use_unit"] = true,
        ["health"] = "1",
        ["debuffType"] = "HELPFUL",
    },
    ["frameStrata"] = 1,
    ["width"] = 43.999935150146,
    ["xOffset"] = 60,
    ["font"] = "Friz Quadrata TT",
    ["numTriggers"] = 1,
    ["anchorPoint"] = "CENTER",
    ["height"] = 24.999988555908,
    ["untrigger"] = {
    },
    ["load"] = {
        ["use_never"] = false,
        ["talent"] = {
            ["multi"] = {
            },
        },
        ["spec"] = {
            ["multi"] = {
            },
        },
        ["difficulty"] = {
            ["multi"] = {
            },
        },
        ["race"] = {
            ["multi"] = {
            },
        },
        ["class"] = {
            ["multi"] = {
            },
        },
        ["pvptalent"] = {
            ["multi"] = {
            },
        },
        ["role"] = {
            ["multi"] = {
            },
        },
        ["use_combat"] = true,
        ["faction"] = {
            ["multi"] = {
            },
        },
        ["size"] = {
            ["multi"] = {
            },
        },
    },
    ["color"] = {
        [1] = 1,
        [2] = 1,
        [3] = 1,
        [4] = 1,
    },
}

local Timer_Table = {
    ["sparkWidth"] = 10,
    ["stacksSize"] = 12,
    ["xOffset"] = 30,
    ["stacksFlags"] = "None",
    ["yOffset"] = -40,
    ["anchorPoint"] = "CENTER",
    ["borderColor"] = {
        [1] = 1,
        [2] = 1,
        [3] = 1,
        [4] = 0.5,
    },
    ["rotateText"] = "NONE",
    ["backgroundColor"] = {
        [1] = 0,
        [2] = 0,
        [3] = 0,
        [4] = 0.5,
    },
    ["fontFlags"] = "OUTLINE",
    ["icon_color"] = {
        [1] = 1,
        [2] = 1,
        [3] = 1,
        [4] = 1,
    },
    ["selfPoint"] = "CENTER",
    ["barColor"] = {
        [1] = 1,
        [2] = 0,
        [3] = 0,
        [4] = 1,
    },
    ["desaturate"] = false,
    ["sparkOffsetY"] = 0,
    ["load"] = {
        ["use_never"] = false,
        ["talent"] = {
            ["multi"] = {
            },
        },
        ["spec"] = {
            ["multi"] = {
            },
        },
        ["difficulty"] = {
            ["multi"] = {
            },
        },
        ["race"] = {
            ["multi"] = {
            },
        },
        ["class"] = {
            ["multi"] = {
            },
        },
        ["pvptalent"] = {
            ["multi"] = {
            },
        },
        ["faction"] = {
            ["multi"] = {
            },
        },
        ["use_combat"] = true,
        ["role"] = {
            ["multi"] = {
            },
        },
        ["size"] = {
            ["multi"] = {
            },
        },
    },
    ["timerColor"] = {
        [1] = 1,
        [2] = 1,
        [3] = 1,
        [4] = 1,
    },
    ["regionType"] = "aurabar",
    ["stacks"] = true,
    ["init_completed"] = 1,
    ["texture"] = "Blizzard",
    ["textFont"] = "Friz Quadrata TT",
    ["zoom"] = 0,
    ["spark"] = false,
    ["timerFont"] = "Friz Quadrata TT",
    ["alpha"] = 1,
    ["borderInset"] = 11,
    ["textColor"] = {
        [1] = 1,
        [2] = 1,
        [3] = 1,
        [4] = 1,
    },
    ["borderBackdrop"] = "Blizzard Tooltip",
    ["disjunctive"] = "all",
    ["untrigger"] = {
        ["custom"] = "function(...)\n    if TotalSilenceGlobalFunctions then\n        return not TotalSilenceGlobalFunctions.getTimerEnabled()\n    end\n    \n    return true\nend\n\n\n\n",
    },
    ["activeTriggerMode"] = -10,
    ["customTextUpdate"] = "update",
    ["displayTextLeft"] = "%n",
    ["animation"] = {
        ["start"] = {
            ["type"] = "none",
            ["duration_type"] = "seconds",
        },
        ["main"] = {
            ["type"] = "none",
            ["duration_type"] = "seconds",
        },
        ["finish"] = {
            ["type"] = "none",
            ["duration_type"] = "seconds",
        },
    },
    ["trigger"] = {
        ["type"] = "custom",
        ["debuffType"] = "HELPFUL",
        ["subeventSuffix"] = "_CAST_START",
        ["names"] = {
        },
        ["subeventPrefix"] = "SPELL",
        ["event"] = "Health",
        ["unit"] = "player",
        ["customDuration"] = "function(...)\n    if TotalSilenceGlobalFunctions then\n        return TotalSilenceGlobalFunctions.getTimerValues()\n    end\n    \n    return 1,1\nend\n\n\n\n\n\n",
        ["spellIds"] = {
        },
        ["custom"] = "function(...)\n    if TotalSilenceGlobalFunctions then\n        return TotalSilenceGlobalFunctions.getTimerEnabled()\n    end\n    \n    return false\nend",
        ["use_unit"] = true,
        ["check"] = "update",
        ["custom_type"] = "status",
        ["unevent"] = "auto",
        ["custom_hide"] = "timed",
    },
    ["text"] = true,
    ["stickyDuration"] = false,
    ["height"] = 18,
    ["timerFlags"] = "None",
    ["sparkBlendMode"] = "ADD",
    ["backdropColor"] = {
        [1] = 1,
        [2] = 1,
        [3] = 1,
        [4] = 0.5,
    },
    ["sparkTexture"] = "Interface\\CastingBar\\UI-CastingBar-Spark",
    ["borderOffset"] = 5,
    ["auto"] = true,
    ["textSize"] = 12,
    ["timer"] = true,
    ["border"] = false,
    ["borderEdge"] = "None",
    ["numTriggers"] = 1,
    ["borderSize"] = 16,
    ["icon"] = false,
    ["icon_side"] = "RIGHT",
    ["sparkRotationMode"] = "AUTO",
    ["sparkColor"] = {
        [1] = 1,
        [2] = 1,
        [3] = 1,
        [4] = 1,
    },
    ["sparkHeight"] = 30,
    ["barInFront"] = true,
    ["sparkRotation"] = 0,
    ["stacksColor"] = {
        [1] = 1,
        [2] = 1,
        [3] = 1,
        [4] = 1,
    },
    ["timerSize"] = 12,
    ["id"] = "WarucksTotalSilence_Timer",
    ["sparkHidden"] = "NEVER",
    ["displayTextRight"] = "%p",
    ["frameStrata"] = 1,
    ["width"] = 124,
    ["textFlags"] = "None",
    ["sparkOffsetX"] = 0,
    ["inverse"] = false,
    ["sparkDesature"] = false,
    ["orientation"] = "HORIZONTAL",
    ["stacksFont"] = "Friz Quadrata TT",
    ["actions"] = {
        ["start"] = {
        },
        ["init"] = {
        },
        ["finish"] = {
        },
    },
    ["parent"] = "WarucksTotalSilence",
}
if WeakAuras and WeakAurasSaved then
	if not WeakAurasSaved.displays.WarucksTotalSilence then
		WeakAuras.Add(Group_Table)
	end
	if not WeakAurasSaved.displays.WarucksTotalSilence_Kick then
		WeakAuras.Add(Kick_Table)
	end
	if not WeakAurasSaved.displays.WarucksTotalSilence_Info then
		WeakAuras.Add(Info_Table)
	end
	if not WeakAurasSaved.displays.WarucksTotalSilence_Timer then
		WeakAuras.Add(Timer_Table)
	end
end

end
local TS_LoadDisplay_Frame = CreateFrame("FRAME")
TS_LoadDisplay_Frame:RegisterEvent("PLAYER_LOGIN")
TS_LoadDisplay_Frame:SetScript("OnEvent", loadDisplay)
